commit:     6f2cf76dcc736af09407f371b3db53a15584f419
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Sat Nov 22 15:01:01 2014 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Sat Nov 22 15:01:01 2014 +0000
URL:        
http://sources.gentoo.org/gitweb/?p=proj/betagarden.git;a=commit;h=6f2cf76d

dev-vcs/hub: Update to latest HEAD

Package-Manager: portage-2.2.14

---
 dev-vcs/hub/ChangeLog       |  3 +++
 dev-vcs/hub/hub-9999.ebuild | 29 ++++++++---------------------
 2 files changed, 11 insertions(+), 21 deletions(-)

diff --git a/dev-vcs/hub/ChangeLog b/dev-vcs/hub/ChangeLog
index 4a03c6e..6ab1fe5 100644
--- a/dev-vcs/hub/ChangeLog
+++ b/dev-vcs/hub/ChangeLog
@@ -2,6 +2,9 @@
 # Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
 # $Header: /var/cvsroot/gentoo-x86/dev-vcs/hub/ChangeLog,v 1.3 2013/05/31 
23:14:44 ottxor Exp $
 
+  22 Nov 2014; Justin Lecher <[email protected]> hub-9999.ebuild:
+  Update to latest HEAD
+
   19 Nov 2014; Justin Lecher <[email protected]> hub-9999.ebuild:
   Adopt to current HEAD
 

diff --git a/dev-vcs/hub/hub-9999.ebuild b/dev-vcs/hub/hub-9999.ebuild
index 5a6cf3b..6c74230 100644
--- a/dev-vcs/hub/hub-9999.ebuild
+++ b/dev-vcs/hub/hub-9999.ebuild
@@ -2,20 +2,9 @@
 # Distributed under the terms of the GNU General Public License v2
 # $Header: /var/cvsroot/gentoo-x86/dev-vcs/hub/hub-1.10.6.ebuild,v 1.1 
2013/05/31 23:14:44 ottxor Exp $
 
-EAPI="5"
+EAPI=5
 
-USE_RUBY="ruby19"
-RUBY_FAKEGEM_TASK_DOC=
-RUBY_FAKEGEM_EXTRADOC="README.md"
-
-inherit bash-completion-r1 git-r3 readme.gentoo ruby-fakegem
-
-ruby_add_bdepend "
-       test? (
-               dev-ruby/webmock
-               dev-util/cucumber
-               virtual/ruby-minitest
-       )"
+inherit bash-completion-r1 git-r3 readme.gentoo
 
 DESCRIPTION="command-line wrapper for git that makes you better at GitHub"
 HOMEPAGE="http://defunkt.io/hub/";
@@ -25,22 +14,20 @@ EGIT_REPO_URI="https://github.com/github/hub.git";
 LICENSE="MIT"
 SLOT="0"
 KEYWORDS=""
+
 RDEPEND="dev-vcs/git"
+DEPEND="dev-lang/go"
 
 DOC_CONTENTS="You may want to add 'alias git=hub' to your .{csh,bash}rc"
 
-src_unpack() {
-       local EGIT_CHECKOUT_DIR="${WORKDIR}/all/${P}"
-
-       ruby-ng_src_unpack
-       git-r3_src_unpack
+src_compile() {
+       bash ./script/build || die
 }
 
 src_install() {
-       ruby-ng_src_install
-       readme.gentoo_create_doc
+       dobin ${PN}
 
-       cd "${S}"/all/${P} || die
+       readme.gentoo_create_doc
 
        doman man/${PN}.1
 

Reply via email to